Bug 739968 - Initialize dbus-glib threading in evolution-data-server
Summary: Initialize dbus-glib threading in evolution-data-server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-data-server
Version: 6.1
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:4ca3542e75bbef402b99caf9658...
: 1006143 (view as bug list)
Depends On:
Blocks: 1075802 962331
TreeView+ depends on / blocked
 
Reported: 2011-09-20 15:11 UTC by James G. Brown III
Modified: 2018-12-03 17:22 UTC (History)
6 users (show)

Fixed In Version: evolution-data-server-2.32.3-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 962331 (view as bug list)
Environment:
Last Closed: 2013-11-21 05:03:49 UTC


Attachments (Terms of Use)
File: backtrace (31.86 KB, text/plain)
2011-09-20 15:11 UTC, James G. Brown III
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1540 normal SHIPPED_LIVE Low: evolution security, bug fix, and enhancement update 2013-11-21 00:40:51 UTC
GNOME Bugzilla 659756 None None None Never

Description James G. Brown III 2011-09-20 15:11:06 UTC
abrt version: 1.1.16
architecture: x86_64
Attached file: backtrace, 32622 bytes
cmdline: /usr/libexec/evolution-data-server-2.28 --oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_CalFactory:1.2 --oaf-ior-fd=20
component: evolution-data-server
Attached file: coredump, 14176256 bytes
crash_function: _dbus_list_unlink
executable: /usr/libexec/evolution-data-server-2.28
kernel: 2.6.32-131.12.1.el6.x86_64
package: evolution-data-server-2.28.3-15.el6
rating: 4
reason: Process /usr/libexec/evolution-data-server-2.28 was killed by signal 11 (SIGSEGV)
release: Red Hat Enterprise Linux Client release 6.1 (Santiago)
Attached file: sosreport.tar.xz, 960240 bytes
time: 1316527354
uid: 500

How to reproduce
-----
1. No idea, just popped up. Was in firefox using zimbra
2.
3.

Comment 1 James G. Brown III 2011-09-20 15:11:08 UTC
Created attachment 524054 [details]
File: backtrace

Comment 4 RHEL Product and Program Management 2011-09-20 15:29:22 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 5 Milan Crha 2013-05-09 13:54:03 UTC
Thanks for a bug report. This is due to two threads accessing GConf in the same time, while GConf is not thread safe. Partial fix might be with a backport of [1], which initialized dbus_glib threading, thus is pretty much simple thing to do. If we go this way, then a clone for evolution would be also needed.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=659756

Comment 15 errata-xmlrpc 2013-11-21 05:03:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Comment 16 Milan Crha 2015-01-07 21:08:43 UTC
*** Bug 1006143 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.